Subject: bug#54224: closed (Re: bug#54224: Configure error on windows 11)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Mar 2022 18:27:02 +0000

Your bug report

#54224: Configure error on windows 11

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54224: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54224
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54224: Configure error on windows 11
From: Corwin Brust <[email-masked]>
To: Edouard Debry <[email-masked]>
Cc: [email-masked]
Date: Sun, 6 Mar 2022 12:25:49 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Mar 3, 2022 at 3:31 PM Edouard Debry <[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >
> > No such problem here.
> >
> > What does the following command show if you invoke it from the Git
> > Bash prompt in the Emacs work tree:
> >
> >     git config core.autocrlf
>
> Fixed, issue was that "gmake" was used instead of "make" because of my
> PATH.

Thanks; I'm therefore closing this bug report.

> Regards

Subject: Configure error on windows 11
From: Edouard Debry <[email-masked]>
To: [email-masked]
Date: Wed, 02 Mar 2022 23:39:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Latest (from yesterday) emacs master retrieved.

Configuration :

CFLAGS="-O2 -march=skylake" ./configure
--prefix=/d/Documents/utils/msys64/mingw64/local
--without-compress-install --with-native-compilation --without-dbus
--without-pop --with-modules

ends with :

...
config.status: creating admin/charsets/Makefile
config.status: creating admin/unidata/Makefile
config.status: creating admin/grammars/Makefile
config.status: creating src/config.h
config.status: executing src/epaths.h commands
sed: -e expression #1, char 79: unknown option to `s'
gmake: *** [Makefile:420: epaths-force-w32] Error 1
config.status: error: 'src/epaths.h' could not be made.

I did not try to compile afterwards for I recall this header file is
mandatory when compiling emacs on windows 11

How can I fix ?

Regards